Page MenuHomePhabricator

[lsan] Disable some LSAN tests for arm-linux-gnueabi{hf}
ClosedPublic

Authored by zatrazz on Nov 2 2020, 9:53 AM.

Details

Reviewers
dvyukov
kcc
yroux
Summary

The tests do not report the expected leak when issued with use_stack
or use_tls option equal to 0 on arm-linux-gnueabihf (ubuntu 18.04,
glibc 2.27).

This issue is being tracked by https://bugs.llvm.org/show_bug.cgi?id=48052

Diff Detail

Unit TestsFailed

TimeTest
600 mswindows > LLVM.CodeGen/AMDGPU::ds_read2.ll
Script: -- : 'RUN: at line 2'; c:\ws\w16-1\llvm-project\premerge-checks\build\bin\llc.exe -march=amdgcn -mcpu=bonaire -verify-machineinstrs -mattr=+load-store-opt < C:\ws\w16-1\llvm-project\premerge-checks\llvm\test\CodeGen\AMDGPU\ds_read2.ll | c:\ws\w16-1\llvm-project\premerge-checks\build\bin\filecheck.exe -enable-var-scope -check-prefixes=GCN,CI C:\ws\w16-1\llvm-project\premerge-checks\llvm\test\CodeGen\AMDGPU\ds_read2.ll

Event Timeline

zatrazz created this revision.Nov 2 2020, 9:53 AM
Herald added subscribers: Restricted Project, kristof.beyls. ยท View Herald TranscriptNov 2 2020, 9:53 AM
zatrazz requested review of this revision.Nov 2 2020, 9:53 AM
yroux accepted this revision.Nov 4 2020, 2:07 AM
yroux added a subscriber: yroux.

LGTM, given it is needed to bring ARM bots back online

This revision is now accepted and ready to land.Nov 4 2020, 2:07 AM
zatrazz closed this revision.Nov 5 2020, 3:38 AM